Bug 144060 - (dothan_cpufreq) [PATCH] speedstep-centrino support for dothan pentium-m
[PATCH] speedstep-centrino support for dothan pentium-m
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-04 03:29 EST by david paeme
Modified: 2015-01-04 17:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-01 02:06:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
speedstep-centrino dothan frequency table patch (3.62 KB, patch)
2005-01-04 03:31 EST, david paeme
no flags Details | Diff

  None (edit)
Description david paeme 2005-01-04 03:29:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
The kernels distributed with FC3 (up to the 2.6.9.715 version in
updates/testing) seem to be missing support for intel's Dothan Pentium-M.

The processors are recognized, but the speedstep-centrino module only
has support for acpi frequency scaling on them. 
This compared to the older Banias model's 'table' support, which means
that cpufreq knows more than max/min speeds, and is able to scale
fluently between them

Here's a patch wich adds support for all Dothan cpu's up to the 755
version (2.0 Ghz).


http://localhost.ruhr.de/~stefan/acerTM292/patches/cpufreq-speedstep-dothan-3.patch



Applying this patch to the latest FC3 kernels seem to work for me
(dothan 1.6ghz, stepping b0), and it also patches into the official
2.9.10 kernels.

Version-Release number of selected component (if applicable):
all

How reproducible:
Always

Steps to Reproduce:
boot and check frequencies on dothan pentium-m's
    

Additional info:
Comment 1 david paeme 2005-01-04 03:31:00 EST
Created attachment 109317 [details]
speedstep-centrino dothan frequency table patch
Comment 2 Alistair Riddoch 2005-05-28 06:30:00 EDT
Is anything likely to happen with this patch? I note that it was posted to the
LKML, but no there was no response there.

It would be really helpfull if speedstepping for the Pentium-M was available
without a kernel rebuild.
Comment 3 Dave Jones 2005-06-01 02:06:22 EDT
We can't do table support on Dothans -- there are four different voltage
settings -- and using VID#C (like the patch does) is not necessarily the one
needed for one platform. And VID#C is higher than VID#D so it even might
cause hardware damage.

Note You need to log in before you can comment on or make changes to this bug.